Package Details: numix-folders-git r420.24e5f6c66-1

Git Clone URL: https://aur.archlinux.org/numix-folders-git.git (read-only, click to copy)
Package Base: numix-folders-git
Description: Alternate folders for use with the Numix base icon theme.
Upstream URL: https://github.com/numixproject/numix-folders
Licenses: GPL3
Submitter: 314eter
Maintainer: erikdubois
Last Packager: 314eter
Votes: 32
Popularity: 0.000000
First Submitted: 2015-08-27 12:32
Last Updated: 2018-11-06 21:02

Dependencies (4)

Required by (0)

Sources (2)

Latest Comments

« First ‹ Previous 1 2 3

neitsab commented on 2015-09-06 22:24

Just noticed makedepends=('git') is required as well, as per https://wiki.archlinux.org/index.php/VCS_package_guidelines#Guidelines. Also done in numix-icon-theme-git (https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=numix-icon-theme-git#n11) :)

neitsab commented on 2015-09-06 22:19

My bad, I had missed the call to gksu!
Glad it was just a typo.
I also suggest adding options=('!strip') as done in https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=numix-icon-theme-git#n14 to skip the lengthy symbol strip :)
Thanks for your blazing fast reply!

314eter commented on 2015-09-06 22:17

It depends on gksu because gksudo is used in the script. I know gksu is deprecated, but it's not my decision.

The dependency on numix-themes-git was a mistake, thanks for noticing.

neitsab commented on 2015-09-06 21:59

Thanks for packaging this, I was about to do it when I noticed somebody already did :)

Quick questions: why make it depend on gksu, and why make it depend on numix-themes-git?

I know the script may ask to be run as root, but this should be done with polkit/pkexec and not the deprecated gksu (https://bbs.archlinux.org/viewtopic.php?pid=1012270#p1012270).

As for numix-themes-git, I guess you meant numix-*icon*-theme-git right? README says numix-folders requires a recent version of the base icon theme which is provided by numix-icon-theme-git, while numix-themes-git is kind of unrelated :)